
Figure - Bug #116835
测试 Test-IT # 110961 (New): V2.0功能测试

测试 Test-IT # 111049 (New): AF-V2.0-副屏遥控器

【AF】【EVT】【遥控器】在触摸板模式下点击屏保按键后，多次切换上方模式bar，遥控器报错“连接失败
”
2023-03-09 15:33 - CD TEST-方永红

Status: CLOSED Start date: 2023-03-09

Priority: Normal Due date:

Assignee: CD Test赵飞 % Done: 100%

Category: CD-FW Estimated time: 0.00 hour

Target version:

Need_Info: TEST Found Version: FlatBuild_HH_MCE_FSE.M.R.user.01.00.0081.C101

Resolution: FIXED Degrated: --

Severity: Normal Verified Version:

Reproducibility: Every time Fixed Version:

Test Type: ST Root cause: 中控问题，已修改

Description

【前提条件】

1.设备已开机

【操作手顺】

1.打开副屏遥控器应用，切换到触摸板模式

2.点击屏保按键使副屏进入屏保后等待2~3秒

3.点击上方模式切换BAR，来回切换数次模式

【期望结果】

3.遥控器应用正常保持连接

【实际结果】

2.切换数次模式后，遥控器会弹出一个“网络异常”的Toast，随后即报错“连接失败”

History

#1 - 2023-03-10 17:37 - CD FW-程天颖

- Status changed from New to ASSIGNED

■ Current conclusion

原因解析中

■ My analysis

初步分析是因为使用中控遥控器频繁创建和销毁虚拟鼠标，导致遥控器服务端被kill

■ Next action

建议客户修改遥控器逻辑，改变创建和销毁虚拟鼠标的生命期

#2 - 2023-03-20 16:33 - CD FW-程天颖

- Assignee changed from CD FW-程天颖 to CD Test赵飞

- Need_Info changed from -- to TEST

■ Current conclusion
中控已修改

■ My analysis

中控遥控器频繁创建和销毁虚拟鼠标，触发了use-after-close导致遥控器服务端被file descriptor sanitize kill

■ Next action

验证bug是否修复

#3 - 2023-03-20 17:00 - CD Test赵飞

- Status changed from ASSIGNED to RESOLVED

- Resolution changed from -- to FIXED

- Root cause set to 中控问题，已修改

#4 - 2023-03-20 17:01 - CD Test赵飞

- Status changed from RESOLVED to VERIFIED

验证结果：PASS

中控升级到60版本后，验证此问题不再复现

#5 - 2023-03-20 17:01 - CD Test赵飞

- Status changed from VERIFIED to CLOSED

- % Done changed from 0 to 100

2025-07-04 2/2


